> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 最近の共有リンクの検索

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

デフォルトで検索APIによって返されるのは、ユーザーが所有する項目か、ユーザーが明示的にコラボレータに設定されている項目のみです。これらの検索結果には、ユーザーが共有リンクを介して最近アクセスした可能性がある項目は含まれません。

このAPIで共有リンクを有効にするには、`include_recent_shared_links`クエリパラメータを`true`に設定します。

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/search?query=sales&include_recent_shared_links=true" \
      -H "Authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```python Python theme={null}
  client.search().query("sales", metadata_filters=metadata_search_filters, include_recent_shared_links=True)
  ```

  ```js Node theme={null}
  client.search.query(
      'sales',
      {
          include_recent_shared_links: true
      })
      .then(results => {
          // ...
      });
  ```
</CodeGroup>

<Warning>
  このパラメータは比較的新しいため、BoxのJava SDKとWindows SDKでのこのパラメータのサポートはまだ対応中であることに注意してください。
</Warning>

<Danger>
  このパラメータがtrueに設定されている場合は、このAPIのレスポンス形式が<Link href="/reference/resources/search-results-with-shared-links">検索結果 (複数の共有リンクを含む)</Link> のリストを返すよう変更されることに十分注意してください。
</Danger>
